Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.phred
Interface Qualitative

All Known Implementing Classes:
  PhredSequence

    public interface Qualitative

Qualitative is an interface for classes wanting to hold quality data in symbolic form such as Phred scores.

Copyright (c) 2001

Company: AgResearch

Since:
  1.1
Author:
  Mark Schreiber

Method Summary
`SymbolList` | `getQuality()` Retreives the list of quality symbols from the underlying object.
`Symbol` | `getQualityAt(int index)` Retreives the quality symbol for the specified index.

Method Detail

### getQuality

    SymbolList getQuality()

  Retreives the list of quality symbols from the underlying object.

### getQualityAt

    Symbol getQualityAt(int index)
                        throws IndexOutOfBoundsException

  Retreives the quality symbol for the specified index.

  Parameters:
    `index` - - Must be greater than zero.
  Throws:
    `IndexOutOfBoundsException` - if index is outside of the quality symbol list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD